<?php

namespace WP_AUX\Entities\Components\Traits;

trait ComponentItemsTraits {
  protected array $items = [];

  public function addItem(array $item): static
  {
    $this->items[] = $item;

    return $this;
  }

  public function setItems(array $items): static
  {
    $this->items = $items;

    return $this;
  }

  public function getItems(): array
  {
    return $this->items;
  }
}
